<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="../static/css/user.css">
<!--    <script src="https://libs.baidu.com/jquery/2.0.0/jquery.js"></script>-->
    <script src="http://apps.bdimg.com/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://cdn.staticfile.org/Plupload/2.1.1/moxie.js"></script>
    <script src="https://cdn.staticfile.org/Plupload/2.1.1/plupload.dev.js"></script>
    <script src="https://cdn.staticfile.org/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<!--    <script src="/static/js/qiniu.min.js"></script>-->
</head>
<body>
    <div class="container">
        <input type="button" value="显示" onclick="show_userinfo()" class="btn">
        <input type="button" class="logout btn" value="注销" >
        <div class="user-wrapper">
             <div class="aui-info">
<!--                <img src="{{ picture }}" id="img-txz" class="avatar"/>-->
                 {% load static %}
                <img src="{% static picture %}" id="img-txz" class="avatar">
<!--                 <form action="/update_user_picture/" method="post" enctype="multipart/form-data">-->
                    {% csrf_token %}
                 <label>
                    <input type="file" id="picture" name="picture" value="选择图片" class="btn" />
                    <input type="button" value="上传" class="btn" onclick="picture_submit()" />
<!--                 </form>-->
                 </label>
             </div>
            <div style="margin: 30px;display: block"></div>
            用户名  <input class="input-item" value="{{ username }}" name="username" disabled="disabled">
            昵称   <input class="input-item" value="{{ nickname }}" name="nickname">
            <div class="update btn" style="cursor:pointer"> 提交</div>
        </div>
    </div>
    <script>
        function show_userinfo(){
             $.ajax({
                type: "POST",
                url: "/show_profile/",
                data: '{}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (res){
                    if(res.status == 100){
                        $('.avatar').attr('src', "/static/" + res.picture);
                        $("input[name='nickname']").val(res.nickname);
                        $("input[name='username']").val(res.username);
                    } else {
                        alert(res.msg)
                    }
                },
                error: function (res){
                    alert(res)
                }
            });
        }


        function picture_submit(){
            var formdata=new FormData();
            formdata.append('picture',$('#picture').get(0).files[0]);
            $.ajax({
                url:'/update_user_picture/',
                type:'post',
                contentType:false,
                data:formdata,
                processData:false,
                success:function(res){
                    if(res.status == 100){
                        console.log(res)
                        $('.avatar').attr('src', "/static/" + res.picture);
                    } else {
                        alert(res.msg)
                    }
                },
                error:function(err){
                    console.log(err)
                }
            });
        }


        $(".logout").click(function (){
            $.ajax({
                    type: "POST",
                    url: "/logout/",
                    data: {},
                    dataType: "json",
                    success: function (res){
                        if(res.status == 100){
                            window.location.href="/"
                        } else {
                            alert(res.msg)
                        }
                    },
                    error: function (res){
                        alert("error")
                    }
                });
        })


        $(".update").click(function (){
            let nickname = $("input[name='nickname']").val()
            let username = $("input[name='username']").val()
            let request = {
<!--                'token': $.cookie('token'),-->
                'nickname': nickname,
<!--                'username': username,-->
<!--                'picture': $('#img-txz')[0].src-->
            }
            if (nickname == ""){
                $("input[name='nickname']").attr('placeholder','昵称不能为空')
            }else{
                 $.ajax({
                    type: "POST",
                    url: "/update_nickname/",
                    data: JSON.stringify(request),
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (res){
                        if(res.status == 100){
                            $("input[name='nickname']").val("");
                            alert("名字修改成功");
                        } else {
                            alert(res.msg)
                        }
                    },
                    error: function (res){
                        alert("error")
                    }
                });
            }
        })


        $(document).ready(show_userinfo)


<!--        let domain = 'r47q6lm7l.hn-bkt.clouddn.com'-->
<!--        let filename-->
<!--        let uploader = Qiniu.uploader({-->
<!--            url: 'up-z2.qiniup.com',-->
<!--            runtimes: 'html5,flash,html4', //上传模式，依次退化-->
<!--            browse_button: 'img-txz', //上传选择的点选按钮id，必须-->
<!--            max_file_size: '500mb', //文件最大允许的尺寸-->
<!--            dragdrop: false, //是否开启拖拽上传-->
<!--            chunk_size: '4mb', //分块上传时，每片的大小-->
<!--            uptoken_url: '/getToken', //ajax请求token的url-->
<!--            domain: domain, //图片下载时候的域名-->
<!--            get_new_uptoken: false, //是否每次上传文件都要从业务服务器获取token-->
<!--            auto_start: true, //是否自动上传-->
<!--            init: {-->
<!--                'FilesAdded': function (up, files) {-->
<!--                    // 文件添加进队列后，处理相关的事情-->
<!--            },-->
<!--            'BeforeUpload': function (up, file) {-->
<!--                    // 每个文件上传前，处理相关的事情-->
<!--            },-->
<!--            'UploadProgress': function () {-->
<!--                // 每个文件上传时，处理相关的事情-->
<!--            },-->
<!--            'FileUploaded': function (up, file, info) {-->
<!--                // 每个文件上传成功后，处理相关的事情-->
<!--                // 刚刚上传的文件名称domain + file.name-->
<!--                // 把上传的文件地址保存到本地的隐藏域中-->
<!--                $('#img-txz').attr('src','http://' + domain +'/'+ filename);-->
<!--            },-->
<!--            'Error': function (up, err, errTip) {-->
<!--                console.log('error:' + err);-->
<!--            },-->
<!--            'UploadComplete': function () {-->
<!--                //队列文件处理完毕后，处理相关的事情-->
<!--            },-->
<!--            'Key': function (up, file) {-->
<!--                // 若想在前端对每个文件的key进行个性化处理，可以配置该函数-->
<!--                // 该配置必须要在unique_names: false，save_key: false时才生效-->
<!--                let key =  $("input[name='username']").val() + "" + new Date().valueOf(); // 对上传的文件重命名-->
<!--                console.log(key)-->
<!--                filename = key-->
<!--                // do something with key here-->
<!--                return key-->
<!--            }-->
<!--        }-->
<!--    });-->
<!--        $('#img-txz').click(function (){-->
<!--            uploader.start()-->
<!--        })-->
    </script>
</body>
</html>
